X
Thinta lapha ukuze uye kuveshini yamakhalekhukhwini kusayithi.

Isithangami Sabeseki

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

firefox reports it is up-to-date when it is not

Kuphostiwe

Firefox is reporting (Help>About Firefox) that it is running v.43.0.1 and that "Firefox is up-to-date".

I'm not sure whether it is incorrectly reporting v.43.0.1 when it is in fact up-to-date, or thinks that v43.0.1 is the latest.

I could presumably download and install the latest version, but I am concerned why Firefox thinks it is up-to-date, when it clearly isn't.

Firefox is reporting (Help>About Firefox) that it is running v.43.0.1 and that "Firefox is up-to-date". I'm not sure whether it is incorrectly reporting v.43.0.1 when it is in fact up-to-date, or thinks that v43.0.1 is the latest. I could presumably download and install the latest version, but I am concerned why Firefox thinks it is up-to-date, when it clearly isn't.

Isisombululo esikhethiwe

hi petef, as far as i am aware update servers are currently turned off while a problem is being investigated, so it is "expected" that you don't get a notification about a newer version at the moment. please try again a little bit later & sorry for the inconvenience...

Funda le mpendulo ngokuhambisana nalesi sihloko 2

Eminye Imininingwane Yohlelo

Fakela amapulagi

  • Adobe PDF Plug-In For Firefox and Netscape 11.0.8
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

Isisebenziso

  • I-ejenti Engumsebenzisi: Mozilla/5.0 (Windows NT 5.1; rv:43.0) Gecko/20100101 Firefox/43.0

Eminye Imininingwane

philipp
  • Top 25 Contributor
  • Moderator
5315 izisombululo 23463 izimpendulo
Kuphostiwe

Isisombululo Esikhethiwe

hi petef, as far as i am aware update servers are currently turned off while a problem is being investigated, so it is "expected" that you don't get a notification about a newer version at the moment. please try again a little bit later & sorry for the inconvenience...

hi petef, as far as i am aware update servers are currently turned off while a problem is being investigated, so it is "expected" that you don't get a notification about a newer version at the moment. please try again a little bit later & sorry for the inconvenience...
John99 971 izisombululo 13138 izimpendulo
Kuphostiwe

It is probably worth you posting your troubleshooting information. Also compare the list of addons on that page with those shown when you navigate to about:ddons about:addons or use Menu -> Addons Do you have addons showing in the troublesooting information that are not listed in your addons page ?

You appear to be only on fx43. If you use Firefox on a regular basis you should be on at least Fx44.

Also see https://status.mozilla.org/

Try downloading and installing the current Firefox from getfirefox.com No need to uninstall anything it will install over the old version.

It is probably worth you posting your troubleshooting information. Also compare the list of addons on that page with those shown when you navigate to <s>about:ddons</s> ''about:'''a'''ddons'' or use Menu -> Addons Do you have addons showing in the troublesooting information that are not listed in your addons page ? You appear to be only on fx43. If you use Firefox on a regular basis you should be on at least Fx44. Also see https://status.mozilla.org/ Try downloading and installing the current Firefox from getfirefox.com No need to uninstall anything it will install over the old version. * [[How to download and install Firefox on Windows]]

Okulungisiwe ngu John99

AliceWyman
  • Moderator
240 izisombululo 2597 izimpendulo
Kuphostiwe

Impendulo Ewusizo

I see you're using Windows XP. If you want to download and install the latest Firefox version (currently 45.0.1), you'll have to use a different method then simply following the getfirefox.com link that John99 provided. See this article, How can I get the latest version of Firefox on Windows XP or Vista? ..... under "For advanced users".

I see you're using Windows XP. If you want to download and install the latest Firefox version (currently 45.0.1), you'll have to use a different method then simply following the getfirefox.com link that John99 provided. See this article, [[How can I get the latest version of Firefox on Windows XP or Vista?]] ..... under "For advanced users".
John99 971 izisombululo 13138 izimpendulo
Kuphostiwe

Thanks Alice, I keep forgetting about that. I do still have a working XP that I occasionally use, but it is sp3.

Thanks Alice, I keep forgetting about that. I do still have a working XP that I occasionally use, but it is sp3.

Umnikazi wombuzo

Thanks everyone for all the responses.

John99 said

It is probably worth you posting your troubleshooting information. Also compare the list of addons on that page with those shown when you navigate to about:ddons or use Menu -> Addons Do you have addons showing in the troublesooting information that are not listed in your addons page ?

I am unsure what John99 means by posting my "troubleshooting information". I get no error messages. Help>About Firefox just reports that 43.0.1 is the latest version, and therefore does nothing

To clarify: 1) I have xp sp3 2) I have booted Firefox with all Addons disabled to see if this was an issue, and get identical results.

Is this a permanent issue with xp sp3 and Firefox , ie is "Help>About Firefox" no longer going to work? or is this due to the server outage as reported by philipp?

If the latter, I'll simply wait for the server to be restored.

I generally have no problems running FF43.0.1 with my current setup.

Thanks everyone for all the responses. ''John99 [[#answer-861372|said]]'' <blockquote> It is probably worth you posting your troubleshooting information. Also compare the list of addons on that page with those shown when you navigate to about:ddons or use Menu -> Addons Do you have addons showing in the troublesooting information that are not listed in your addons page ? </blockquote> I am unsure what John99 means by posting my "troubleshooting information". I get no error messages. Help>About Firefox just reports that 43.0.1 is the latest version, and therefore does nothing To clarify: 1) I have xp sp3 2) I have booted Firefox with all Addons disabled to see if this was an issue, and get identical results. Is this a permanent issue with xp sp3 and Firefox , ie is "Help>About Firefox" no longer going to work? or is this due to the server outage as reported by philipp? If the latter, I'll simply wait for the server to be restored. I generally have no problems running FF43.0.1 with my current setup.
John99 971 izisombululo 13138 izimpendulo
Kuphostiwe

You should have no problem updating if you have sp3 and the servers are working.

The problem with sp2 is that it will only download Fx43 due to signing issues and the capabilities of sp2, however once on Fx43, then as long as the severs are available, and they usually are it should be able to update itself.

I forgot to give details about the troubleshooting page. Sometimes hidden addons have been known to prevent update. The addons page can be seen by entering about:addons (not about:ddons) into the addressbar and pressing Enter. The troubleshooting page can be found at about:support


To find the correct solution to your problem, we need some more non-personal information from you. Please do the following:

  1. Use ONE of these methods to open the Firefox Troubleshooting Information page:
    • Click the menu button New Fx Menu , click on help Help-29 and select Troubleshooting Information.
    • Type about:support into the Firefox address bar and press the enter key.
  2. At the top of the Troubleshooting Information page that comes up, you should see a button that says "Copy text to clipboard". Click it.
  3. Now, go back to your forum post, right-click in the reply box and select Paste from the context menu (or else click inside the reply box and press the Ctrl+V keys) to paste all the information you copied into the forum post.

If you need further information about the Troubleshooting information page, please read the article Use the Troubleshooting Information page to help fix Firefox issues.

Thanks in advance for your help!

You should have no problem updating if you have sp3 and the servers are working. The problem with sp2 is that it will only download Fx43 due to signing issues and the capabilities of sp2, however once on Fx43, then as long as the severs are available, and they usually are it should be able to update itself. I forgot to give details about the troubleshooting page. Sometimes hidden addons have been known to prevent update. The addons page can be seen by entering about:addons (not about:ddons) into the addressbar and pressing Enter. The troubleshooting page can be found at ''about:support'' -------- To find the correct solution to your problem, we need some more non-personal information from you. Please do the following: # Use ONE of these methods to open the Firefox Troubleshooting Information page: #* Click the menu button [[Image:New Fx Menu]], click on help [[Image:Help-29]] and select ''Troubleshooting Information''. #* Type '''about:support''' into the Firefox address bar and press the enter key. # At the top of the Troubleshooting Information page that comes up, you should see a button that says "Copy text to clipboard". Click it. #Now, go back to your forum post, right-click in the reply box and select '''Paste''' from the context menu (or else click inside the reply box and press the Ctrl+V keys) to paste all the information you copied into the forum post. If you need further information about the Troubleshooting information page, please read the article [[Use the Troubleshooting Information page to help fix Firefox issues]]. Thanks in advance for your help!

Umnikazi wombuzo

Thanks for replying John99. I have sp3.

Application Basics


Name: Firefox Version: 43.0.1 Build ID: 20151216175450 Update Channel: release User Agent: Mozilla/5.0 (Windows NT 5.1; rv:43.0) Gecko/20100101 Firefox/43.0 Multiprocess Windows: 0/1 (default: false) Safe Mode: false

Crash Reports for the Last 3 Days


Report ID: bp-0a0ef672-1a5f-414c-bef3-5510b2160329 Submitted: 1 day ago

All Crash Reports

Extensions


Name: BetterPrivacy Version: 1.69 Enabled: true ID: {d40f5e7b-d2cf-4856-b441-cc613eeffbe3}

Name: Decentraleyes Version: 1.2.2 Enabled: true ID: jid1-BoFifL9Vbdl2zQ@jetpack

Name: HTTPS-Everywhere Version: 5.1.1 Enabled: true ID: https-everywhere-eff@eff.org

Name: QuickJava Version: 2.0.6.1-signed Enabled: true ID: {E6C1199F-E687-42da-8C24-E7770CC3AE66}

Name: Self-Destructing Cookies Version: 0.4.9 Enabled: true ID: jid0-9XfBwUWnvPx4wWsfBWMCm4Jj69E@jetpack

Name: Sidebar Auto Show/Hide Version: 0.10.1-signed Enabled: true ID: {0356b25f-2af7-4d93-ad5c-6781725f97f8}

Name: uBlock Origin Version: 1.5.0 Enabled: true ID: uBlock0@raymondhill.net

Graphics


Adapter Description: Mobile Intel(R) 915GM/GMS,910GML Express Chipset Family Adapter Drivers: ialmrnt5 Adapter RAM: Unknown Asynchronous Pan/Zoom: none Device ID: 0x2592 Direct2D Enabled: Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer. DirectWrite Enabled: false (0.0.0.0) Driver Date: 3-10-2005 Driver Version: 6.14.10.4277 GPU #2 Active: false GPU Accelerated Windows: 0/1 Basic (OMTC) Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer. Subsys ID: 00000000 Supports Hardware H264 Decoding: No; Failed to create H264 decoder Vendor ID: 0x8086 WebGL Renderer: Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer. windowLayerManagerRemote: true AzureCanvasBackend: skia AzureContentBackend: cairo AzureFallbackCanvasBackend: cairo AzureSkiaAccelerated: 0

Important Modified Preferences


accessibility.blockautorefresh: true accessibility.typeaheadfind.flashBar: 0 browser.cache.disk.capacity: 358400 browser.cache.disk.filesystem_reported: 1 browser.cache.disk.smart_size_cached_value: 358400 browser.cache.disk.smart_size.first_run: false browser.cache.disk.smart_size.use_old_max: false browser.cache.frecency_experiment: 2 browser.download.importedFromSqlite: true browser.download.manager.alertOnEXEOpen: true browser.download.useDownloadDir: false browser.places.smartBookmarksVersion: 7 browser.search.update: false browser.search.useDBForOrder: true browser.sessionstore.upgradeBackup.latestBuildID: 20151216175450 browser.startup.homepage: http://www.metoffice.gov.uk/public/weather/forecast/dartmouth browser.startup.homepage_override.buildID: 20151216175450 browser.startup.homepage_override.mstone: 43.0.1 browser.tabs.drawInTitlebar: false browser.urlbar.default.behavior: 1 browser.urlbar.suggest.bookmark: false browser.urlbar.suggest.openpage: false browser.urlbar.userMadeSearchSuggestionsChoice: true dom.apps.reset-permissions: true dom.mozApps.used: true dom.w3c_touch_events.expose: false extensions.lastAppVersion: 43.0.1 gfx.blacklist.direct2d: 3 gfx.blacklist.dxva: 3 gfx.blacklist.layers.direct3d9: 3 gfx.blacklist.suggested-driver-version: 6.1400.1000.5218 gfx.blacklist.webgl.angle: 3 gfx.crash-guard.d3d11layers.appVersion: 43.0.1 gfx.crash-guard.d3d11layers.deviceID: 0x2592 gfx.crash-guard.d3d11layers.driverVersion: 6.14.10.4277 gfx.crash-guard.d3d11layers.feature-d2d: false gfx.crash-guard.d3d11layers.feature-d3d11: false gfx.crash-guard.status.d3d11layers: 2 gfx.driver-init.appVersion: 42.0 gfx.driver-init.deviceID: 0x2592 gfx.driver-init.driverVersion: 6.14.10.4277 gfx.driver-init.feature-d2d: false gfx.driver-init.feature-d3d11: false gfx.driver-init.status: 2 image.animation_mode: none media.gmp-gmpopenh264.abi: x86-msvc media.gmp-gmpopenh264.lastUpdate: 1453986399 media.gmp-gmpopenh264.version: 1.5.3 media.gmp-manager.buildID: 20151216175450 media.gmp-manager.lastCheck: 1459326679 media.hardware-video-decoding.failed: true network.cookie.cookieBehavior: 1 network.cookie.lifetimePolicy: 2 network.cookie.prefsMigrated: true network.http.speculative-parallel-limit: 0 network.predictor.cleaned-up: true network.prefetch-next: false places.database.lastMaintenance: 1459010144 places.history.enabled: false places.history.expiration.transient_current_max_pages: 53461 plugin.disable_full_page_plugin_for_types: application/vnd.adobe.xfdf,application/pdf,application/vnd.fdf,application/vnd.adobe.xdp+xml plugin.importedState: true plugin.state.flash: 0 plugin.state.java: 0 plugin.state.npdeployjava: 0 plugin.state.npdrmv: 0 plugin.state.npdsplay: 0 plugin.state.nppdf: 1 plugin.state.npwmsdrm: 0


edit removed print detail to save space ~J99

Thanks for replying John99. I have sp3. Application Basics ------------------ Name: Firefox Version: 43.0.1 Build ID: 20151216175450 Update Channel: release User Agent: Mozilla/5.0 (Windows NT 5.1; rv:43.0) Gecko/20100101 Firefox/43.0 Multiprocess Windows: 0/1 (default: false) Safe Mode: false Crash Reports for the Last 3 Days --------------------------------- Report ID: bp-0a0ef672-1a5f-414c-bef3-5510b2160329 Submitted: 1 day ago All Crash Reports Extensions ---------- Name: BetterPrivacy Version: 1.69 Enabled: true ID: {d40f5e7b-d2cf-4856-b441-cc613eeffbe3} Name: Decentraleyes Version: 1.2.2 Enabled: true ID: jid1-BoFifL9Vbdl2zQ@jetpack Name: HTTPS-Everywhere Version: 5.1.1 Enabled: true ID: https-everywhere-eff@eff.org Name: QuickJava Version: 2.0.6.1-signed Enabled: true ID: {E6C1199F-E687-42da-8C24-E7770CC3AE66} Name: Self-Destructing Cookies Version: 0.4.9 Enabled: true ID: jid0-9XfBwUWnvPx4wWsfBWMCm4Jj69E@jetpack Name: Sidebar Auto Show/Hide Version: 0.10.1-signed Enabled: true ID: {0356b25f-2af7-4d93-ad5c-6781725f97f8} Name: uBlock Origin Version: 1.5.0 Enabled: true ID: uBlock0@raymondhill.net Graphics -------- Adapter Description: Mobile Intel(R) 915GM/GMS,910GML Express Chipset Family Adapter Drivers: ialmrnt5 Adapter RAM: Unknown Asynchronous Pan/Zoom: none Device ID: 0x2592 Direct2D Enabled: Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer. DirectWrite Enabled: false (0.0.0.0) Driver Date: 3-10-2005 Driver Version: 6.14.10.4277 GPU #2 Active: false GPU Accelerated Windows: 0/1 Basic (OMTC) Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer. Subsys ID: 00000000 Supports Hardware H264 Decoding: No; Failed to create H264 decoder Vendor ID: 0x8086 WebGL Renderer: Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer. windowLayerManagerRemote: true AzureCanvasBackend: skia AzureContentBackend: cairo AzureFallbackCanvasBackend: cairo AzureSkiaAccelerated: 0 Important Modified Preferences ------------------------------ accessibility.blockautorefresh: true accessibility.typeaheadfind.flashBar: 0 browser.cache.disk.capacity: 358400 browser.cache.disk.filesystem_reported: 1 browser.cache.disk.smart_size_cached_value: 358400 browser.cache.disk.smart_size.first_run: false browser.cache.disk.smart_size.use_old_max: false browser.cache.frecency_experiment: 2 browser.download.importedFromSqlite: true browser.download.manager.alertOnEXEOpen: true browser.download.useDownloadDir: false browser.places.smartBookmarksVersion: 7 browser.search.update: false browser.search.useDBForOrder: true browser.sessionstore.upgradeBackup.latestBuildID: 20151216175450 browser.startup.homepage: http://www.metoffice.gov.uk/public/weather/forecast/dartmouth browser.startup.homepage_override.buildID: 20151216175450 browser.startup.homepage_override.mstone: 43.0.1 browser.tabs.drawInTitlebar: false browser.urlbar.default.behavior: 1 browser.urlbar.suggest.bookmark: false browser.urlbar.suggest.openpage: false browser.urlbar.userMadeSearchSuggestionsChoice: true dom.apps.reset-permissions: true dom.mozApps.used: true dom.w3c_touch_events.expose: false extensions.lastAppVersion: 43.0.1 gfx.blacklist.direct2d: 3 gfx.blacklist.dxva: 3 gfx.blacklist.layers.direct3d9: 3 gfx.blacklist.suggested-driver-version: 6.1400.1000.5218 gfx.blacklist.webgl.angle: 3 gfx.crash-guard.d3d11layers.appVersion: 43.0.1 gfx.crash-guard.d3d11layers.deviceID: 0x2592 gfx.crash-guard.d3d11layers.driverVersion: 6.14.10.4277 gfx.crash-guard.d3d11layers.feature-d2d: false gfx.crash-guard.d3d11layers.feature-d3d11: false gfx.crash-guard.status.d3d11layers: 2 gfx.driver-init.appVersion: 42.0 gfx.driver-init.deviceID: 0x2592 gfx.driver-init.driverVersion: 6.14.10.4277 gfx.driver-init.feature-d2d: false gfx.driver-init.feature-d3d11: false gfx.driver-init.status: 2 image.animation_mode: none media.gmp-gmpopenh264.abi: x86-msvc media.gmp-gmpopenh264.lastUpdate: 1453986399 media.gmp-gmpopenh264.version: 1.5.3 media.gmp-manager.buildID: 20151216175450 media.gmp-manager.lastCheck: 1459326679 media.hardware-video-decoding.failed: true network.cookie.cookieBehavior: 1 network.cookie.lifetimePolicy: 2 network.cookie.prefsMigrated: true network.http.speculative-parallel-limit: 0 network.predictor.cleaned-up: true network.prefetch-next: false places.database.lastMaintenance: 1459010144 places.history.enabled: false places.history.expiration.transient_current_max_pages: 53461 plugin.disable_full_page_plugin_for_types: application/vnd.adobe.xfdf,application/pdf,application/vnd.fdf,application/vnd.adobe.xdp+xml plugin.importedState: true plugin.state.flash: 0 plugin.state.java: 0 plugin.state.npdeployjava: 0 plugin.state.npdrmv: 0 plugin.state.npdsplay: 0 plugin.state.nppdf: 1 plugin.state.npwmsdrm: 0 ------ edit removed print detail to save space ~J99

Okulungisiwe ngu John99

Umnikazi wombuzo

would not all fit in 10000 limit, continued here:

privacy.clearOnShutdown.offlineApps: true privacy.sanitize.migrateClearSavedPwdsOnExit: true privacy.sanitize.migrateFx3Prefs: true privacy.sanitize.sanitizeOnShutdown: true privacy.trackingprotection.enabled: true security.disable_button.openCertManager: false storage.vacuum.last.index: 1 storage.vacuum.last.places.sqlite: 1457015092

Important Locked Preferences


JavaScript


Incremental GC: true

Accessibility


Activated: false Prevent Accessibility: 0

Library Versions


NSPR Expected minimum version: 4.10.10 Version in use: 4.10.10

NSS Expected minimum version: 3.20.1 Basic ECC Version in use: 3.20.1 Basic ECC

NSSSMIME Expected minimum version: 3.20.1 Basic ECC Version in use: 3.20.1 Basic ECC

NSSSSL Expected minimum version: 3.20.1 Basic ECC Version in use: 3.20.1 Basic ECC

NSSUTIL Expected minimum version: 3.20.1 Version in use: 3.20.1

Experimental Features


would not all fit in 10000 limit, continued here: privacy.clearOnShutdown.offlineApps: true privacy.sanitize.migrateClearSavedPwdsOnExit: true privacy.sanitize.migrateFx3Prefs: true privacy.sanitize.sanitizeOnShutdown: true privacy.trackingprotection.enabled: true security.disable_button.openCertManager: false storage.vacuum.last.index: 1 storage.vacuum.last.places.sqlite: 1457015092 Important Locked Preferences ---------------------------- JavaScript ---------- Incremental GC: true Accessibility ------------- Activated: false Prevent Accessibility: 0 Library Versions ---------------- NSPR Expected minimum version: 4.10.10 Version in use: 4.10.10 NSS Expected minimum version: 3.20.1 Basic ECC Version in use: 3.20.1 Basic ECC NSSSMIME Expected minimum version: 3.20.1 Basic ECC Version in use: 3.20.1 Basic ECC NSSSSL Expected minimum version: 3.20.1 Basic ECC Version in use: 3.20.1 Basic ECC NSSUTIL Expected minimum version: 3.20.1 Version in use: 3.20.1 Experimental Features ---------------------
AliceWyman
  • Moderator
240 izisombululo 2597 izimpendulo
Kuphostiwe

Impendulo Ewusizo

petef said

Is this a permanent issue with xp sp3 and Firefox , ie is "Help>About Firefox" no longer going to work? or is this due to the server outage as reported by philipp? If the latter, I'll simply wait for the server to be restored.

Like philipp said above, the update servers seem to be turned off.

I'm currently at Firefox version 45.0 on Windows 7. Even though the latest Firefox version is 45.0.1 (release notes) when I check for updates in the About Firefox window I'm told "Firefox is up to date".

I would simply wait awhile and try again.

''petef [[#answer-861437|said]]'' <blockquote> Is this a permanent issue with xp sp3 and Firefox , ie is "Help>About Firefox" no longer going to work? or is this due to the server outage as reported by philipp? If the latter, I'll simply wait for the server to be restored. </blockquote> Like philipp said above, the update servers seem to be turned off. I'm currently at Firefox version 45.0 on Windows 7. Even though the latest Firefox version is 45.0.1 ([https://www.mozilla.org/en-US/firefox/45.0.1/releasenotes/ release notes]) when I check for updates in the About Firefox window I'm told "Firefox is up to date". I would simply wait awhile and try again.

Umnikazi wombuzo

Thanks Alice. Yes I think that's best, that's what I was planning. All a bit of fuss over nothing if it's just the server outage.

Thanks Alice. Yes I think that's best, that's what I was planning. All a bit of fuss over nothing if it's just the server outage.
AliceWyman
  • Moderator
240 izisombululo 2597 izimpendulo
Kuphostiwe

You're welcome.

I'm wondering why you are still at Firefox version 43.0.1, though. I don't see any modified preferences in the troubleshooting information you listed that indicate you disabled auto-updates.

There's a "Show Update History" button on the Troubleshooting Information page you can check, in case it gives you any clues.

In any case, I would post back if you still aren't able to update Firefox after waiting a reasonable period of time (maybe two or three days).

You're welcome. I'm wondering why you are still at Firefox version 43.0.1, though. I don't see any modified preferences in the troubleshooting information you listed that indicate you disabled auto-updates. There's a "Show Update History" button on the [[Use the Troubleshooting Information page to help fix Firefox issues|Troubleshooting Information page]] you can check, in case it gives you any clues. In any case, I would post back if you still aren't able to update Firefox after waiting a reasonable period of time (maybe two or three days).
James
  • Top 25 Contributor
  • Moderator
1598 izisombululo 11286 izimpendulo
Kuphostiwe

John99 said

You should have no problem updating if you have sp3 and the servers are working. The problem with sp2 is that it will only download Fx43 due to signing issues and the capabilities of sp2, however once on Fx43, then as long as the severs are available, and they usually are it should be able to update itself.

Not a problem of SP2 in downloading or updating but due to the browser useragents on WinXP does not show if the user has SP2 or SP3 installed on system. If it did Mozilla would perhaps be serving the current 45.0.1 to SP3 users and 43.0.1 to SP2 users.

WinXP SP2 users can use Firefox 45.0.1 Release just fine, they just cannot install 43.0.2 or newer due to the signing of the setups.

''John99 [[#answer-861461|said]]'' <blockquote> You should have no problem updating if you have sp3 and the servers are working. The problem with sp2 is that it will only download Fx43 due to signing issues and the capabilities of sp2, however once on Fx43, then as long as the severs are available, and they usually are it should be able to update itself. </blockquote> Not a problem of SP2 in downloading or updating but due to the browser useragents on WinXP does not show if the user has SP2 or SP3 installed on system. If it did Mozilla would perhaps be serving the current 45.0.1 to SP3 users and 43.0.1 to SP2 users. WinXP SP2 users can use Firefox 45.0.1 Release just fine, they just cannot install '''43.0.2''' or newer due to the signing of the setups.

Umnikazi wombuzo

James said

Not a problem of SP2 in downloading or updating but due to the browser useragents on WinXP does not show if the user has SP2 or SP3 installed on system.

Now I'm confused! Are you saying it can't distinguish between sp2 & sp3, and therefore won't update beyond 43.0.1 in either case? It does seem a bit of a coincidence that I'm stuck at 43.0.1.

I'll wait until the servers are back up as Alice suggested, then check it again, and repost.

''James [[#answer-861554|said]]'' <blockquote> Not a problem of SP2 in downloading or updating but due to the browser useragents on WinXP does not show if the user has SP2 or SP3 installed on system. </blockquote> Now I'm confused! Are you saying it can't distinguish between sp2 & sp3, and therefore won't update beyond 43.0.1 in either case? It does seem a bit of a coincidence that I'm stuck at 43.0.1. I'll wait until the servers are back up as Alice suggested, then check it again, and repost.
James
  • Top 25 Contributor
  • Moderator
1598 izisombululo 11286 izimpendulo
Kuphostiwe

petef said

James said
Not a problem of SP2 in downloading or updating but due to the browser useragents on WinXP does not show if the user has SP2 or SP3 installed on system.

Now I'm confused! Are you saying it can't distinguish between sp2 & sp3, and therefore won't update beyond 43.0.1 in either case? It does seem a bit of a coincidence that I'm stuck at 43.0.1.

A browser useragent like that of Firefox on Windows XP does not show specific details like if the user has SP2 or SP3 installed on WinXP. Since many of the still active WinXP users out there are still using SP2 for whatever reason, Mozilla decided to serve a version of Firefox (43.0.1) that all WinXP SP2 and SP3 users can install and then update from (if updates on servers are enabled).

The issue is WinXP SP2 users cannot install 43.0.2 or newer including current 45.0.1 setups due to the signing requirement on Windows. The only way SP2 users can use current Firefox (45.0.1) is by updating to it.


Your User Agent: Mozilla/5.0 (Windows NT 5.1; rv:43.0) Gecko/20100101 Firefox/43.0 which you can see in More system details in right of OP.

NT 5.1 is Windows XP. It does not give finer details like what Service Pack you have installed on XP.

''petef [[#answer-861579|said]]'' <blockquote> ''James [[#answer-861554|said]]'' <blockquote> Not a problem of SP2 in downloading or updating but due to the browser useragents on WinXP does not show if the user has SP2 or SP3 installed on system. </blockquote> Now I'm confused! Are you saying it can't distinguish between sp2 & sp3, and therefore won't update beyond 43.0.1 in either case? It does seem a bit of a coincidence that I'm stuck at 43.0.1. </blockquote> A browser useragent like that of Firefox on Windows XP does not show specific details like if the user has SP2 or SP3 installed on WinXP. Since many of the still active WinXP users out there are still using SP2 for whatever reason, Mozilla decided to serve a version of Firefox (43.0.1) that all WinXP SP2 and SP3 users can install and then update from (if updates on servers are enabled). The issue is WinXP SP2 users cannot install 43.0.2 or newer including current 45.0.1 setups due to the signing requirement on Windows. The only way SP2 users can use current Firefox (45.0.1) is by updating to it. Your User Agent: Mozilla/5.0 (Windows '''NT 5.1'''; rv:43.0) Gecko/20100101 Firefox/43.0 which you can see in More system details in right of OP. NT 5.1 is Windows XP. It does not give finer details like what Service Pack you have installed on XP.
Stephen Fox 1 izisombululo 34 izimpendulo
Kuphostiwe

This page I provided below goes into great detail of how the signing affects XP SP2 and SP3, it has nothing to do with Firefox per se, but the fact that SP2 does not support SHA-2.

On SP2, you must download and install the older Firefox file that is served to you, then update to the current version from within the software.

If you are running SP3 I can't see why you would be having problems installing the current and latest Firefox.

[https://bugzilla.mozilla.org/show_bug.cgi?id=1079858] Bug 1079858 - Deal with deprecation of SHA1 (SHA-1) Authenticode signatures for Windows signing

This page I provided below goes into great detail of how the signing affects XP SP2 and SP3, it has nothing to do with Firefox per se, but the fact that SP2 does not support SHA-2. On SP2, you must download and install the older Firefox file that is served to you, then update to the current version from within the software. If you are running SP3 I can't see why you would be having problems installing the current and latest Firefox. [[https://bugzilla.mozilla.org/show_bug.cgi?id=1079858]] Bug 1079858 - Deal with deprecation of SHA1 (SHA-1) Authenticode signatures for Windows signing
John99 971 izisombululo 13138 izimpendulo
Kuphostiwe

Maybe it is worth remembering petef said

Thanks for replying John99. I have sp3.
Maybe it is worth remembering ''petef [[#answer-861478|said]]'' <blockquote> Thanks for replying John99. I have sp3. </blockquote>
John99 971 izisombululo 13138 izimpendulo
Kuphostiwe

I also have an XP with sp3 available, but with current update server issues, right now may not be a good time to try to test.

I also have an XP with sp3 available, but with current update server issues, right now may not be a good time to try to test.

Umnikazi wombuzo

Since yesterday Help>About Firefox is reporting that 43.0.1 needs updating to 45.0.1 - so I assume the servers are back up and running. Seems this must have been the issue all along. Thanks everyone. It's been interesting, and I learnt quite a bit along the way!

Since yesterday Help>About Firefox is reporting that 43.0.1 needs updating to 45.0.1 - so I assume the servers are back up and running. Seems this must have been the issue all along. Thanks everyone. It's been interesting, and I learnt quite a bit along the way!